package com.activiti6.controller;

import com.activiti6.entity.AjaxEntityVo;

public class BaseController {
    public AjaxEntityVo success(){
        AjaxEntityVo ajaxEntityVo=new AjaxEntityVo();
        ajaxEntityVo.setCode(0);
        ajaxEntityVo.setMsg("success");
        return  ajaxEntityVo;
    }

    public AjaxEntityVo success(Object data){
        AjaxEntityVo ajaxEntityVo=new AjaxEntityVo();
        ajaxEntityVo.setCode(0);
        ajaxEntityVo.setMsg("success");
        ajaxEntityVo.setData(data);
        return  ajaxEntityVo;
    }

    public AjaxEntityVo success(Integer count,Object data){
        AjaxEntityVo ajaxEntityVo=new AjaxEntityVo();
        ajaxEntityVo.setCode(0);
        ajaxEntityVo.setMsg("success");
        ajaxEntityVo.setData(data);
        ajaxEntityVo.setCount(count);
        return  ajaxEntityVo;
    }

    public AjaxEntityVo error(String msg){
        AjaxEntityVo ajaxEntityVo=new AjaxEntityVo();
        ajaxEntityVo.setCode(1);
        ajaxEntityVo.setMsg(msg);
        return  ajaxEntityVo;
    }

}
